$(function(){
	// Элемент-обертка
	var pageWrapper = $('#page_wrapper');
	// Функция для вычисления ширины скроллбара
	function getScrollWidth(){
		var measure = $('<div />').css({
				width: 100,
				height: 100,
				overflowY: 'scroll',
				visibility: 'hidden'
			}).appendTo('body'),
				sw = measure.prop('offsetWidth') - measure.prop('clientWidth');
		measure.remove();    
		return sw;
	}
	// Собственно, сама функция компенсатора скролла
	function scrollCompensation(){
		var d = document,
				rootEl = d.compatMode == 'BackCompat'? d.body : d.documentElement,
				hasScroll = rootEl.scrollHeight > rootEl.clientHeight,
				scrollW = getScrollWidth();
		pageWrapper.css('padding-left', (hasScroll ? scrollW : 0));
		return false;
	}
	// Вызываем функцию при загрузке, а так же, если размеры окна поменялись
	$(window).on('load resize', scrollCompensation);
	
	// --- для тестирования ---------------
	var content = $('#content'),
		str = '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>',
		fish = new Array(100 + 1).join(str);
	
	content.html(fish);
	
	$('button').click(function(){
		$('#content').toggle();
		scrollCompensation();
	});
});